---
layout: docs
page_title: 'Commands: acl auth-method info'
description: |
  The auth-method info command is used to fetch information about an existing
  ACL Auth Method.
---

# Command: acl auth-method info

The `acl auth-method info` command is used to fetch information about an existing ACL Auth Method.

## Usage

```plaintext
nomad acl auth-method info [options] <auth-method_name>
```

The `acl auth-method info` command requires an existing method's name.

## General Options

@include 'general_options_no_namespace.mdx'

## Info Options

- `-json`: Output the ACL auth method in a JSON format.

- `-t`: Format and display the ACL auth method using a Go template.

## Examples

Fetch information about an existing ACL Auth Method:

```shell-session
$ nomad acl auth-method info example-acl-auth-method
Name           = example-acl-auth-method
Type           = OIDC
Locality       = local
Max Token TTL  = 1h0m0s
Default        = false
Create Index   = 14
Modify Index   = 14

Auth Method Config

OIDC Discovery URL     = https://my-corp-app-name.auth0.com/
OIDC Client ID         = V1RPi2MYptMV1RPi2MYptMV1RPi2MYpt
OIDC Client Secret     = example-client-secret
Bound audiences        = V1RPi2MYptMV1RPi2MYptMV1RPi2MYpt
Allowed redirects URIs = http://localhost:4646/oidc/callback
Discovery CA pem       = <none>
Signing algorithms     = <none>
Claim mappings         = {http://example.com/first_name: first_name}; {http://example.com/last_name: last_name}
List claim mappings    = {http://nomad.com/groups: groups}
```
